#include "book-impl.h"

#include "dummy-contact.h"

namespace Dummy
{

  class Book: public Ekiga::BookImpl<Contact>
  {
  public:

    Book (const std::string name_): name(name_)
    {
      std::cout << __PRETTY_FUNCTION__ << std::endl;
    }

    ~Book ()
    {
      std::cout << __PRETTY_FUNCTION__ << std::endl;
    }

    const std::string get_name () const
    {
      return name;
    }

    bool populate_menu(Ekiga::MenuBuilder&)
    {
      return false;
    }

    void set_search_filter (std::string)
    {}

    const std::string get_status () const
    {
      return "ok";
    }

    const std::string get_icon () const
    {
      return "ok";
    }

    void new_contact (const std::string name_)
    {
      std::tr1::shared_ptr<Contact> contact (new Contact (name_));
      add_contact (contact);
    }

  private:
    std::string name;
  };
};
