#include <iostream>

#include "contact.h"

namespace Dummy
{

  class Contact: public Ekiga::Contact
  {
  public:

    Contact (const std::string name_): name(name_)
    {
      std::cout << __PRETTY_FUNCTION__ << std::endl;
    }

    ~Contact ()
    {
      std::cout << __PRETTY_FUNCTION__ << std::endl;
    }

    const std::string get_name () const
    { return name; }

    const std::set<std::string> get_groups () const
    { return std::set<std::string>(); }

    bool is_found (const std::string) const
    { return false; }

    bool populate_menu(Ekiga::MenuBuilder&)
    { return false; }

  private:

    std::string name;
  };
};
