#include "source-impl.h"

#include "dummy-book.h"

namespace Dummy
{
  class Source: public Ekiga::SourceImpl<Book>
  {
  public:

    Source ()
    {
      std::cout << __PRETTY_FUNCTION__ << std::endl;
      std::tr1::shared_ptr<Book> book (new Book("book"));
      add_book (book);
      book->new_contact ("first");
      book->new_contact ("second");
    }

    ~Source ()
    {
      std::cout << __PRETTY_FUNCTION__ << std::endl;
    }

    bool populate_menu(Ekiga::MenuBuilder&)
    {
      return false;
    }
  };
};
