#include "dummy-main.h"

#include "contact-core.h"

#include "dummy-source.h"

bool
dummy_init (Ekiga::ServiceCore& services,
	    int*,
	    char** [])
{
  bool result = false;
  std::tr1::shared_ptr<Ekiga::ContactCore> core
    = std::tr1::dynamic_pointer_cast<Ekiga::ContactCore>(services.get ("contact-core"));

  if (core) {

    std::tr1::shared_ptr<Ekiga::Source> source (new Dummy::Source ());
    core->add_source (source);
    result = true;
  }

  return result;
}
